import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import SearchBox from '../components/search-box';
import { RowFilterDialog } from './types';
export default class ContentFilter {
    private table;
    private dialog;
    parent: HTMLElement | null;
    selectAllCheck: HTMLInputElement | null;
    checkListContainer: HTMLElement | null;
    searchBox: SearchBox | null;
    constructor(table: OnesTable, dialog: RowFilterDialog);
    destroy(): void;
    update(parent: HTMLElement, sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): void;
    handleCheckChange: () => void;
    handleCheckAllChange: () => void;
    handleSearchChange: () => void;
    getConditions(): GC.Spread.Sheets.ConditionalFormatting.Condition[];
    accept(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): boolean;
}
